import pre from "./.env.pre";
import prod from "./.env.prod";
import Vconsole from 'vconsole'

(function () {
  try {
    if (process.env.NODE_ENV) { // 打包后没有process
      if (process.env.NODE_ENV.indexOf('-log') > -1) {
        new Vconsole();
      }
      if (["pre","pre-log"].includes(process.env.NODE_ENV)) {
        process.uniEnv = pre;
      } else if (["prod","prod-log"].includes(process.env.NODE_ENV)) {
        process.uniEnv = prod;
      }
    }
  } catch {}
})();
